hspec-expectations-0.8.2: Catchy combinators for HUnit

Safe Haskell | Safe
Language | Haskell2010

Test.Hspec.Expectations.Contrib

Contents

- Predicates

Description

Experimental combinators, that may become part of the main distribution, if they turn out to be useful for a wider audience.

Synopsis

- isLeft :: Either a b -> Bool
- isRight :: Either a b -> Bool

# Predicates

(useful in combination with `shouldSatisfy`)

isLeft :: Either a b -> Bool #

isRight :: Either a b -> Bool #